load( qsa )
TEMPLATE	= lib
CONFIG		+= qt warn_on plugin

SOURCES		+= quickcompletion.cpp \
		   quickpreferenceinterfaceimpl.cpp \
		   quickdebuggerfrontend.cpp \
		   quickprograminterfaceimpl.cpp \
		   quickeditor.cpp \
		   quickprojectsettingsinterfaceimpl.cpp \
		   quickeditorinterfaceimpl.cpp \
		   quicksyntaxhighliter.cpp \
		   quickide.cpp \
		   quickvariableview.cpp \
		   quickbrowser.cpp \
		   quickstackview.cpp \
		   quickbreakpointsettingsimpl.cpp \
		   quickclassbrowserinterfaceimpl.cpp \
		   quickclassbrowser.cpp

HEADERS		+= quickcompletion.h \
		   quickpreferenceinterfaceimpl.h \
		   quickdebuggerfrontend.h \
		   quickprograminterfaceimpl.h \
		   quickeditor.h \
		   quickprojectsettingsinterfaceimpl.h \
		   quickeditorinterfaceimpl.h \
		   quicksyntaxhighliter.h \
		   quickide.h \
		   quickvariableview.h \
		   quickbrowser.h \
		   quickstackview.h \
		   quickbreakpointsettingsimpl.h \
		   quickclassbrowserinterfaceimpl.h \
		   quickclassbrowser.h

IMAGES		+= images/class.png \
		images/variable.png \
		images/function.png \
		images/breakpoint.png \
		images/d_breakpoint.png \
		images/d_class.png \
		images/d_function.png \
		images/d_play.png \
		images/d_stepover.png \
		images/d_steptonext.png \
		images/d_stop.png \
		images/d_variable.png \
		images/play.png \
		images/stepover.png \
		images/steptonext.png \
		images/stop.png


TARGET 		= quickide
VERSION  	= 1.0.0
DESTDIR		= $(QTDIR)/plugins/qsa

isEmpty(QT_SOURCE_TREE):QT_SOURCE_TREE=$(QTDIR)

INTERFACES	= quickprojectsettings.ui quickbreakpointsettings.ui
win32:CONFIG	+= QT_DLL QUICKCORE_DLL
INCLUDEPATH	+= ../kernel \
		   ../engine \
		   ../extensions \
		   ../qsa \
		   $$QT_SOURCE_TREE/tools/designer/interfaces \
		   $$QT_SOURCE_TREE/tools/designer/editor \
		   ../../tools/designer/interfaces \
		   ../../tools/designer/editor

!hpux-acc:LIBS  += -L$(QTDIR)/lib -leditor
hpux-acc:LIBS   += -L$(QTDIR)/lib -Wl,-a,default -leditor
DEFINES 	+= QSDEBUGGER

# win32-msvc.net:QMAKE_LFLAGS+=/FORCE:MULTIPLE
